cURL
curl --request GET \ --url https://apigcp.trynia.ai/v2/oracle/history/{session_id} \ --header 'Authorization: Bearer <token>'
{ "session_id": "<string>", "title": "<string>", "query": "<string>", "created_at": "2023-11-07T05:31:56Z", "iterations": 123, "duration_ms": 123, "status": "<string>", "model": "<string>", "final_report": "<string>", "citations": [ { "source_id": 123, "tool": "<string>", "args": {}, "summary": "<string>" } ], "tool_calls": [ { "action": "<string>", "args": {}, "timestamp": "2023-11-07T05:31:56Z" } ], "research_notes": [ "<string>" ], "prioritized_repositories": [ "<string>" ], "prioritized_data_sources": [ "<string>" ], "discovered_repositories": [ "<string>" ], "discovered_data_sources": [ "<string>" ], "output_format": "<string>", "metadata": {} }
Retrieve full details of a specific Oracle research session
API key must be provided in the Authorization header
Session ID to retrieve
Session details retrieved
Summary of a persisted Oracle research session.
Show child attributes
Monotonic integer id (1-based) assigned during the run
Tool/action name that produced this citation
Tool arguments used
Short summary of the tool result (truncated)
Tool/action name
ISO timestamp when the tool was executed
Was this page helpful?